PS_BEGIN_FONT(3)

NAME
PS_begin_font — Starts a new Type3 font

SYNOPSIS

#include <pslib.h>

int PS_begin_font(PSDoc *psdoc, const char *fontname, int reserverd, double a, double b, double c, double d, double e, double f, const char *optlist)

DESCRIPTION

PostScript supports various kinds of fonts. Type3 fonts are fonts whose glyphs are created with a subset of regular PostScript commands. This function starts a new Type3 font embedded into the document which must be closed with PS_end_font. Each glyph is created with consecutive calls of PS_end_glyph and PS_end_glyph. Once the new font is created, it can be used like any other font loaded with PS_findfont. The passed floating point numbers are used to set the font matrix. a and d are usually set to 0.001. The remaining numbers can be left zero.

Each call of PS_begin_font must be accompanied by a call to PS_end_pattern(3).

PS_begin_font has been introduced in version 0.4.0 of pslib.

RETURN VALUE

Returns identifier of the font or zero in case of an error. The identifier is a positiv number greater 0.

SEE ALSO

PS_end_font(3), PS_begin_glyph(3), PS_end_glyph(3)

AUTHOR

This manual page was written by Uwe Steinmann uwe@steinmann.cx.